%define oname epplets

Summary:          Epplets for Enlightenment, DR16
Name:             e16-epplets
Version:          0.10
Release:          3%{?dist}
License:          MIT with advertising and GPL+ and GPLv2+
Group:            User Interface/Desktops
URL:              http://www.enlightenment.org/
Source:           http://downloads.sourceforge.net/enlightenment/%{oname}-%{version}.tar.gz
BuildRequires:    imlib2-devel autoconf automake libtool 
BuildRequires:    mesa-libGLU-devel  freeglut-devel
Requires:         e16 >= 0.16.8
BuildRoot:        %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
Epplets are small, handy Enlightenment applets, similar to dockapps or
applets for other packages.  The epplets package contains the base
epplet API library and header files, as well as the core set of
epplets, including CPU monitors, clocks, a mail checker, mixers, a
slideshow, a URL grabber, a panel-like toolbar, and more.

%package devel
Summary:  Development tools for epplets
Group:    Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
The %{name}-devel package contains the header files and libs
for developing epplets for Enlightenment, DR16

%prep
%setup -q -n %{oname}-%{version}

%build
%{__sed} -i -e 's/-rpath $(libdir):$(pkglibdir)//' epplets/Makefile.am
./autogen.sh
%configure
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%{__make} install DESTDIR=%{buildroot}
%{__install} -d %{buildroot}%{_sysconfdir}/ld.so.conf.d
echo "%{_libdir}/%{oname}" > %{buildroot}%{_sysconfdir}/ld.so.conf.d/%{oname}-%{_arch}.conf
%{__rm} -f %{buildroot}%{_libdir}/libepplet.{a,la}

%clean
%{__rm} -rf %{buildroot}


%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-, root, root, -)
%doc ChangeLog 
%{_libdir}/libepplet.so.*
%{_bindir}/E*.epplet
%{_datadir}/e16/epplet_icons
%{_datadir}/e16/epplet_data
%config(noreplace) %{_sysconfdir}/ld.so.conf.d/%{oname}-%{_arch}.conf

%files devel
%defattr(-, root, root, -)
%{_includedir}/epplet.h
%{_libdir}/libepplet.so

%changelog
* Tue Apr 15 2008 Terje Rosten <terjeros@phys.ntnu.no> - 0.10-3
- Remove .{a,la} files
- Remove post requires
- Add mesa-libGLU-devel and freeglut-devel to build req

* Tue Mar 27 2008 Terje Rosten <terjeros@phys.ntnu.no> - 0.10-2
- Fix license

* Mon Aug 20 2007 Terje Rosten <terjeros@phys.ntnu.no> - 0.10-1
- Initial build (based on upstream spec, thanks!)
